### Method

# Gtk TreeStoreiter_is_valid

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_store_iter_is_valid (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter
    )

#### Description [src]

Checks if the given iter is a valid iter for this `GtkTreeStore`.

This function is slow. Only use it for debugging and/or testing purposes.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The iterator to check.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if the iter is valid, and false otherwise.